Subject: bug#61601: [PATCH] * lisp/isearch.el (minibuffer-lazy-highlight-setup): Use cursor-in-echo-area

From: Augusto Stoffel <[email-masked]>
Date: Sun, 19 Feb 2023 13:16:04 +0100

On Sat, 18 Feb 2023 at 22:43, Drew Adams wrote:

>> The flickering happens because the cursor briefly moves from the
>> minibuffer to the minibuffer selected window when the lazy highlighting
>> is done (e.g. after typing a character in the C-M-% regexp query).
>
> FWIW -
> No such problems existed before Isearch started 
> using the minibuffer instead of the echo area.

AFAICT C-M-% always used the minibuffer to read a regular expression.
This has nothing to do with Isearch per se.

Also, in isearch I still see cursor flickering when I type fast enough.
But since I normally use isearch-mb, which is not affected by this, I
can't describe the problem in more detail.